View Issue Details

IDProjectCategoryView StatusLast Update
0001876Wishes_Commonpublic2013-02-03 00:33
ReporterRaistlin Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version3.0 
Summary0001876: Имя редактируемого/просматриваемого файла - в начале заголовка окна
DescriptionСейчас при редактировании имеем: "редактирование FarRus.lng - Far". В результате при большом количестве окон самое важное - имя файла - скрывается в панели задач за "...". Предлагаю изменить на "FarRus.lng - редактирование - Far".
TagsNo tags attached.
Build2648

Relationships

has duplicate 0000085 closedvskirdin Заголовок окна Far'а при активном редакторе 

Activities

Raistlin

2011-09-12 18:35

reporter   bugnote:0007681

Тема на форуме: http://forum.farmanager.com/viewtopic.php?f=3&t=6636

JohnDoe

2011-09-12 18:35

updater   bugnote:0007682

Last edited: 2011-09-12 18:36

View 2 revisions

{FarRus.lng} Редактирование - Far 2.0 1807 x86

Raistlin

2011-09-12 18:38

reporter   bugnote:0007683

Согласен.

vskirdin

2012-04-27 15:11

administrator   bugnote:0009073

build 2648
Будет так:

В Far:Config ищем "Interface" и TEXT-параметры "EditorTitleFormat" и "ViewerTitleFormat".
По умолчанию формат: "%Lng %File".
Здесь шаблонные символы "%File" - имя файла, "%Lng" - строка из lng-файла ("edit" или "view")
Не забываем так же о том, что есть шаблон "TitleAddons", который добавляется в конец заголовка.

Issue History

Date Modified Username Field Change
2011-09-12 18:32 Raistlin New Issue
2011-09-12 18:35 Raistlin Note Added: 0007681
2011-09-12 18:35 JohnDoe Note Added: 0007682
2011-09-12 18:36 JohnDoe Note Edited: 0007682 View Revisions
2011-09-12 18:38 Raistlin Note Added: 0007683
2012-04-27 15:11 vskirdin Note Added: 0009073
2012-04-27 15:11 vskirdin Assigned To => vskirdin
2012-04-27 15:11 vskirdin Status new => feedback
2012-04-28 12:50 Raistlin Status feedback => resolved
2012-04-28 14:06 vskirdin Build => 2648
2012-04-28 14:06 vskirdin Status resolved => closed
2012-04-28 14:06 vskirdin Resolution open => fixed
2012-04-28 14:06 vskirdin Fixed in Version => 3.0
2012-05-31 12:09 2useven10 Relationship added has duplicate 0000085
2013-02-03 00:33 alexy Severity minor => feature